/**
 * date-picker.component
 */
import { OnInit, EventEmitter } from '@angular/core';
import { Moment } from 'moment';
import * as i0 from "@angular/core";
export declare class DatePickerComponent implements OnInit {
    dayNames: Array<string>;
    initDate: any;
    locale: string;
    viewFormat: string;
    returnObject: string;
    datePickerCancel: EventEmitter<boolean>;
    dateSelect: EventEmitter<any>;
    calendarDate: Moment;
    selectedDate: Moment;
    currentMonth: any;
    today: Moment;
    currentYear: number;
    onDisplayMonths: boolean;
    onDisplayYears: boolean;
    displayYearsIndex: number;
    displayYearRange: Array<number>;
    fullYearRange: Array<any>;
    monthsShort: Array<string>;
    calendarDays: Array<Moment>;
    constructor();
    ngOnInit(): void;
    prev(): void;
    showMonthSelection(): void;
    showYearSelection(): void;
    next(): void;
    selectDay(day: Moment): void;
    selectMonth(month: string): void;
    selectYear(year: number): void;
    selectToday(): void;
    clearPickDate(): void;
    cancelDatePicker(): void;
    protected generateYears(): void;
    protected initValue(): void;
    protected generateCalendar(): void;
    protected parseToReturnObjectType(day: Moment): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<DatePickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DatePickerComponent, "ofe-date-picker", never, { "initDate": { "alias": "initDate"; "required": false; }; "locale": { "alias": "locale"; "required": false; }; "viewFormat": { "alias": "viewFormat"; "required": false; }; "returnObject": { "alias": "returnObject"; "required": false; }; }, { "datePickerCancel": "datePickerCancel"; "dateSelect": "dateSelect"; }, never, never, false, never>;
}
