import { OnInit, Renderer2 } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { DataSource } from '../../form-entry/question-models/interfaces/data-source';
import * as i0 from "@angular/core";
export declare class FileUploadComponent implements OnInit, ControlValueAccessor {
    private renderer;
    uploading: boolean;
    fileUuid: any;
    pdfUploaded: boolean;
    formEntryMode: boolean;
    pdfUrl: string;
    get dataSource(): DataSource;
    set dataSource(v: DataSource);
    private _dataSource;
    constructor(renderer: Renderer2);
    ngOnInit(): void;
    onFileChange(fileList: any): void;
    upload(data: any): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(): void;
    onChange(event: any): void;
    private propagateChange;
    clearValue(): void;
    getPdfUrl(fileUuid: string): void;
    checkFileType(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FileUploadComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FileUploadComponent, "ofe-file-upload", never, { "dataSource": { "alias": "dataSource"; "required": false; }; }, {}, never, never, false, never>;
}
