import { AfterContentInit, EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import type { QueryList, TemplateRef } from '@angular/core';
import { TabComponent } from './tab.component';
import * as i0 from "@angular/core";
export declare class TabSetComponent implements AfterContentInit, OnChanges {
    tabs: QueryList<TabComponent>;
    disableStyle: boolean;
    customNavClass: String;
    customTabsClass: String;
    selectedIndex: Number;
    formSubmissionTemplate: TemplateRef<unknown>;
    tabSelect: EventEmitter<any>;
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterContentInit(): void;
    onHover($event: any): void;
    selectTab(tabToSelect: TabComponent): void;
    getStatusClasses(active: any, disabled: any): "disabled" | "active" | "enabled";
    static ɵfac: i0.ɵɵFactoryDeclaration<TabSetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TabSetComponent, "ofe-tab-set", never, { "disableStyle": { "alias": "disableStyle"; "required": false; }; "customNavClass": { "alias": "customNavClass"; "required": false; }; "customTabsClass": { "alias": "customTabsClass"; "required": false; }; "selectedIndex": { "alias": "selectedIndex"; "required": false; }; "formSubmissionTemplate": { "alias": "formSubmissionTemplate"; "required": false; }; }, { "tabSelect": "tabSelect"; }, ["tabs"], ["*"], false, never>;
}
