import { Form } from '../form-factory/form';
import { ValidationFactory } from '../form-factory/validation.factory';
import { NodeBase, LeafNode } from '../form-factory/form-node';
import { FormErrorsService } from '../services/form-errors.service';
import * as i0 from "@angular/core";
export declare class ErrorRendererComponent {
    private validationFactory;
    private formErrorsService;
    form: Form;
    constructor(validationFactory: ValidationFactory, formErrorsService: FormErrorsService);
    showErrors(): boolean;
    get errorNodes(): any;
    getControlError(node: LeafNode): string[];
    announceErrorField(errorNode: LeafNode): void;
    getPageIndex(node: NodeBase): number;
    static ɵfac: i0.ɵɵFactoryDeclaration<ErrorRendererComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ErrorRendererComponent, "ofe-error-renderer", never, { "form": { "alias": "form"; "required": false; }; }, {}, never, never, false, never>;
}
