import * as i0 from "@angular/core";
export declare class JsExpressionHelper {
    calcBMI(height: any, weight: any): number;
    calcBSA(height: number, weight: number): number;
    calcBMIForAgeZscore(bmiForAgeRef: any, height: any, weight: any): any;
    calcWeightForHeightZscore(weightForHeightRef: any, height: any, weight: any): any;
    calcHeightForAgeZscore(heightForAgeRef: any, height: any, weight: any): any;
    calcSouthEastAsiaNonLabCVDRisk(sex: 'M' | 'F', smoker?: boolean, age?: number, sbp?: number, bmi?: number): number;
    isEmpty(val: any): boolean;
    arrayContains(array: any, members: any): boolean;
    extractRepeatingGroupValues(key: any, array: any): any;
    formatDate(value: any, format: any, offset: any): any;
    arrayContainsAny(array: any, members: any): boolean;
    /**
     * Takes a target control, an encounter and concept uuid. If the target control has a value it returns it
     * otherwise it tries to find it in the encounter. Finally it returns null of it can't find either of them.
     * @param targetControl
     * @param rawEncounter
     * @param uuid
     * @returns
     */
    getObsFromControlOrEncounter(targetControl: any, rawEncounter: any, uuid: any): any;
    doesNotMatchExpression(regexString: string, val: string | null | undefined): boolean;
    calcGravida(parityTerm: any, parityAbortion: any): number;
    get helperFunctions(): {
        arrayContainsAny: (array: any, members: any) => boolean;
        calcBMI: (height: any, weight: any) => number;
        calcBMIForAgeZscore: (bmiForAgeRef: any, height: any, weight: any) => any;
        calcWeightForHeightZscore: (weightForHeightRef: any, height: any, weight: any) => any;
        calcHeightForAgeZscore: (heightForAgeRef: any, height: any, weight: any) => any;
        calcSouthEastAsiaNonLabCVDRisk: (sex: "M" | "F", smoker?: boolean, age?: number, sbp?: number, bmi?: number) => number;
        isEmpty: (val: any) => boolean;
        arrayContains: (array: any, members: any) => boolean;
        extractRepeatingGroupValues: (key: any, array: any) => any;
        getObsFromControlOrEncounter: (targetControl: any, rawEncounter: any, uuid: any) => any;
        doesNotMatchExpression: (regexString: string, val: string) => boolean;
        calcGravida: (parityTerm: any, parityAbortion: any) => number;
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<JsExpressionHelper, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<JsExpressionHelper>;
}
