import { BaseOptions } from './interfaces/base-options';
import { AfeControlType } from '../../abstract-controls-extension/afe-control-type';
import { ValidationModel } from './validation.model';
export declare class QuestionBase implements BaseOptions {
    type: string;
    order?: number;
    questionOptions?: any;
    questions?: any;
    placeholder?: any;
    hidden?: any;
    showTime?: any;
    showWeek?: any;
    historicalDisplay?: any;
    rows?: any;
    showWeeksAdder?: any;
    datePickerFormat: string;
    key: string;
    alert?: any;
    label?: string;
    prefix?: string;
    renderingType: string;
    orientation?: string;
    defaultValue?: any;
    originalValue?: any;
    enableHistoricalValue?: boolean;
    showHistoricalValueDate?: boolean;
    historicalDataValue?: any;
    extras?: any;
    dataSource?: string;
    dataSourceOptions?: any;
    controlType?: AfeControlType;
    validators?: Array<ValidationModel>;
    required?: boolean;
    hide?: string | boolean;
    resetValueOnDisable?: boolean;
    disable?: string | boolean;
    readOnly?: string | boolean;
    calculateExpression?: string;
    componentConfigs: Array<any>;
    options?: any;
    questionIndex?: Number;
    allowUnselect?: boolean;
    constructor(options: BaseOptions);
    setHistoricalValue(v: boolean): void;
    showHistoricalEncounterDate(v?: boolean): void;
}
