import { NodeBase } from '../form-factory/form-node';
import * as i0 from "@angular/core";
export declare class ObsAdapterHelper {
    formFieldNamespace: string;
    obsIndex: number;
    constructor();
    findObsAnswerToQuestion(node: NodeBase, obsArray: Array<any>): Array<any>;
    getChildQuestionsConceptUuids(node: NodeBase): Array<string>;
    getGroupMembersConceptUuids(obsWithGroupMembers: any): Array<string>;
    isObsNode(node: NodeBase): boolean;
    isSubsetOf(supersetArray: Array<any>, subsetArray: Array<any>): boolean;
    setSimpleObsNodeValue(node: NodeBase, obs: Array<any>): void;
    setMultiselectObsNodeValue(node: NodeBase, obs: Array<any>): void;
    setComplexObsNodeValue(node: NodeBase, obs: Array<any>): void;
    setGroupObsNodeValue(node: NodeBase, obs: Array<any>): void;
    setRepeatingGroupObsNodeValue(node: NodeBase, obs: Array<any>): void;
    comparePath(first: any, second: any): number;
    setNodeValue(node: NodeBase, obs: Array<any>): void;
    setNodeFormControlValue(node: NodeBase, value: any): void;
    getObsNodeType(node: NodeBase): string;
    addFieldNameSpaceandPath(node: any, obs: any): any;
    getQuestionIdFromFormFieldPath(formFieldPath: string): string;
    getSimpleObsPayload(node: NodeBase): any;
    getComplexObsPayload(node: NodeBase): any;
    getMultiselectObsPayload(node: NodeBase): Array<any>;
    getGroupPayload(node: NodeBase): any;
    getRepeatingGroupPayload(node: NodeBase): any[];
    getOldObsPayload(oldObs: any): {
        uuid: any;
        concept: any;
        value: any;
        formFieldNamespace: any;
        formFieldPath: any;
    };
    getObsNodePayload(node: NodeBase): Array<any>;
    simpleNodeValueChanged(node: NodeBase): boolean;
    areDatesEqual(date1: any, date2: any): boolean;
    isEmpty(value: any): boolean;
    toOpenMrsDateTimeString(datetime: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<ObsAdapterHelper, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ObsAdapterHelper>;
}
