import { EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class DateTimePickerComponent implements ControlValueAccessor {
    modelValue: any;
    showDate: boolean;
    showTime: boolean;
    showWeeks: boolean;
    weeks: number[];
    dateChange: EventEmitter<any>;
    showDatePicker: boolean;
    showTimePicker: boolean;
    onChange: any;
    onTouched: any;
    constructor();
    weeksSelected(count: any): void;
    setDate(date: any): void;
    setTime(time: any): void;
    toggleDatePicker(status: boolean): void;
    toggleTimePicker(status: boolean): void;
    get value(): any;
    set value(val: any);
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    writeValue(value: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DateTimePickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DateTimePickerComponent, "ofe-date-time-picker", never, { "modelValue": { "alias": "modelValue"; "required": false; }; "showDate": { "alias": "showDate"; "required": false; }; "showTime": { "alias": "showTime"; "required": false; }; "showWeeks": { "alias": "showWeeks"; "required": false; }; "weeks": { "alias": "weeks"; "required": false; }; }, { "dateChange": "dateChange"; }, never, never, false, never>;
}
