/**
 * time-picker.component
 */
import { OnInit, EventEmitter } from '@angular/core';
import { Moment } from 'moment';
import * as i0 from "@angular/core";
export declare class TimePickerComponent implements OnInit {
    initTime: any;
    showSecond: boolean;
    viewFormat: string;
    use12Hour: boolean;
    returnObject: string;
    timeSelect: EventEmitter<any>;
    timePickerCancel: EventEmitter<boolean>;
    hourFormat: string;
    time: Moment;
    constructor();
    ngOnInit(): void;
    increaseHour(): void;
    decreaseHour(): void;
    increaseMinute(): void;
    decreaseMinute(): void;
    increaseSecond(): void;
    decreaseSecond(): void;
    selectTime(): void;
    selectNow(): void;
    clearTime(): void;
    cancelTimePicker(): void;
    protected parseToReturnObjectType(time: Moment): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<TimePickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TimePickerComponent, "ofe-time-picker", never, { "initTime": { "alias": "initTime"; "required": false; }; "showSecond": { "alias": "showSecond"; "required": false; }; "viewFormat": { "alias": "viewFormat"; "required": false; }; "use12Hour": { "alias": "use12Hour"; "required": false; }; "returnObject": { "alias": "returnObject"; "required": false; }; }, { "timeSelect": "timeSelect"; "timePickerCancel": "timePickerCancel"; }, never, never, false, never>;
}
