import { AfterContentInit, ChangeDetectorRef, OnChanges, OnDestroy, SimpleChanges } from '@angular/core';
import { OwlDateTimeComponent } from './date-time-picker.component';
import * as i0 from "@angular/core";
export declare class OwlDateTimeTriggerDirective<T> implements OnChanges, AfterContentInit, OnDestroy {
    protected changeDetector: ChangeDetectorRef;
    dtPicker: OwlDateTimeComponent<T>;
    get owlDTTriggerDisabledClass(): boolean;
    handleClickOnHost($event: Event): void;
    private _disabled;
    get disabled(): boolean;
    set disabled(value: boolean);
    private stateChanges;
    constructor(changeDetector: ChangeDetectorRef);
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
    private watchStateChanges;
    static ɵfac: i0.ɵɵFactoryDeclaration<OwlDateTimeTriggerDirective<any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<OwlDateTimeTriggerDirective<any>, "[ofeOwlDateTimeTrigger]", never, { "dtPicker": { "alias": "ofeOwlDateTimeTrigger"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, {}, never, never, false, never>;
}
