import { OnInit, EventEmitter, Renderer2 } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { Observable, Subject } from 'rxjs';
import { SelectOption } from '../../form-entry/question-models/interfaces/select-option';
import { DataSource } from '../../form-entry/question-models/interfaces/data-source';
import { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
export declare class RemoteSelectComponent implements OnInit, ControlValueAccessor {
    private renderer;
    private translate;
    remoteOptions$: Observable<SelectOption[]>;
    remoteOptionsLoading: boolean;
    remoteOptionInput$: Subject<string>;
    selectedRemoteOptions: SelectOption;
    items: any[];
    value: any[];
    loading: boolean;
    searchText: string;
    notFoundMsg: any;
    placeholder: any;
    componentID: string;
    disabled: boolean;
    theme: string;
    invalid: string;
    done: EventEmitter<any>;
    private _dataSource;
    get dataSource(): DataSource;
    set dataSource(v: DataSource);
    constructor(renderer: Renderer2, translate: TranslateService);
    ngOnInit(): void;
    subscribeToDataSourceDataChanges(): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(): void;
    onChange(event: any): void;
    selected(event: any): void;
    compareItems: (item: any, selected: any) => boolean;
    private propagateChange;
    trackByFn(item: SelectOption): any;
    private loadOptions;
    static ɵfac: i0.ɵɵFactoryDeclaration<RemoteSelectComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RemoteSelectComponent, "ofe-remote-select", never, { "placeholder": { "alias": "placeholder"; "required": false; }; "componentID": { "alias": "componentID"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "theme": { "alias": "theme"; "required": false; }; "invalid": { "alias": "invalid"; "required": false; }; "dataSource": { "alias": "dataSource"; "required": false; }; }, { "done": "done"; }, never, never, false, never>;
}
