import { OnInit, OnChanges, SimpleChanges } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class RadioButtonControlComponent implements ControlValueAccessor, OnInit, OnChanges {
    id: String;
    options: Array<any>;
    selected: any;
    allowUnselect: boolean;
    orientation: string;
    readonly: boolean;
    private _value;
    ngOnInit(): void;
    writeValue(value: any): void;
    registerOnChange(fn: (newValue?: any, emitModelEvent?: boolean) => void): void;
    registerOnTouched(fn: () => void): void;
    get value(): any;
    set value(value: any);
    handleClick(option: any): void;
    handleChange(option: any): void;
    onChange: (args: any) => void;
    onTouched: () => void;
    ngOnChanges(changes: SimpleChanges): void;
    private updateSelectedOption;
    static ɵfac: i0.ɵɵFactoryDeclaration<RadioButtonControlComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RadioButtonControlComponent, "ofe-radio-button", never, { "id": { "alias": "id"; "required": false; }; "options": { "alias": "options"; "required": false; }; "selected": { "alias": "selected"; "required": false; }; "allowUnselect": { "alias": "allowUnselect"; "required": false; }; "orientation": { "alias": "orientation"; "required": false; }; "readonly": { "alias": "readonly"; "required": false; }; }, {}, never, never, false, never>;
}
