import { AfeFormControl, AfeFormArray, AfeFormGroup } from '../../abstract-controls-extension/control-extensions';
import { Form } from '../form-factory/form';
import * as i0 from "@angular/core";
export declare class ExpressionRunner {
    getRunnable(expression: string, control: AfeFormArray | AfeFormGroup | AfeFormControl, helper: any, dataDependencies: any, form?: Form): Runnable;
    private getControlRelationValueString;
    private setControlQuestion;
    private setControlArrayValues;
    private _getFormControlKeys;
    private _getValuesForKey;
    private getHelperMethods;
    private getDataDependencies;
    static ɵfac: i0.ɵɵFactoryDeclaration<ExpressionRunner, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ExpressionRunner>;
}
export interface Runnable {
    run(): any;
}
